Skip to main content
PATCH
/
preview
/
marketing-solutions
/
campaigns
/preview/marketing-solutions/campaigns
curl --request PATCH \
  --url https://api.criteo.com/preview/marketing-solutions/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "budgetAutomation": {
          "budgetConfiguration": {},
          "enabled": true
        },
        "spendLimit": {
          "spendLimitAmount": {
            "value": 123
          }
        }
      },
      "id": "<string>",
      "type": "Campaign"
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "type": "Campaign"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

List of campaigns to patch.

List of input resources

data
object[] | null

Response

200 - application/json

List of patched campaigns.

List of output resources

data
object[] | null
read-only
errors
object[] | null
read-only
warnings
object[] | null
read-only